<?php
/**
 * Dermatologist Clinic: Block Patterns
 *
 * @since Dermatologist Clinic 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Dermatologist Clinic 1.0
 *
 * @return void
 */
function dermatologist_clinic_register_block_patterns() {
	$dermatologist_clinic_block_pattern_categories = array(
		'dermatologist-clinic'    => array( 'label' => __( 'Dermatologist Clinic', 'dermatologist-clinic' ) ),
	);

	$dermatologist_clinic_block_pattern_categories = apply_filters( 'dermatologist_clinic_block_pattern_categories', $dermatologist_clinic_block_pattern_categories );

	foreach ( $dermatologist_clinic_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'dermatologist_clinic_register_block_patterns', 9 );
